# GstGLOverlayCompositor

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstGLOverlayCompositor

Opaque GstGLOverlayCompositor object

### Class structure

#### GstGLOverlayCompositorClass

##### Fields

`object_class` (GstObjectClass) –
No description available

### GstGL.GLOverlayCompositorClass

##### Attributes

`object_class` (Gst.ObjectClass) –
No description available

### GstGL.GLOverlayCompositorClass

##### Attributes

`object_class` (Gst.ObjectClass) –
No description available

## GstGL.GLOverlayCompositor

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstGL.GLOverlayCompositor

Opaque GstGL.GLOverlayCompositor object

## GstGL.GLOverlayCompositor

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstGL.GLOverlayCompositor

Opaque GstGL.GLOverlayCompositor object

### Constructors

#### gst_gl_overlay_compositor_new

    GstGLOverlayCompositor *
    gst_gl_overlay_compositor_new (GstGLContext * context)

Parameters:

`context` –
No description available
Returns –
No description available

#### GstGL.GLOverlayCompositor.prototype.new

    function GstGL.GLOverlayCompositor.prototype.new(context: GstGL.GLContext): {
        // javascript wrapper for 'gst_gl_overlay_compositor_new'
    }

Parameters:

`context` (GstGL.GLContext) –
No description available
Returns (GstGL.GLOverlayCompositor) –
No description available

#### GstGL.GLOverlayCompositor.new

    def GstGL.GLOverlayCompositor.new (context):
        #python wrapper for 'gst_gl_overlay_compositor_new'

Parameters:

`context` (GstGL.GLContext) –
No description available
Returns (GstGL.GLOverlayCompositor) –
No description available

### Methods

#### gst_gl_overlay_compositor_draw_overlays

    gst_gl_overlay_compositor_draw_overlays (GstGLOverlayCompositor * compositor)

Parameters:

`compositor` –
No description available

#### GstGL.GLOverlayCompositor.prototype.draw_overlays

    function GstGL.GLOverlayCompositor.prototype.draw_overlays(): {
        // javascript wrapper for 'gst_gl_overlay_compositor_draw_overlays'
    }

Parameters:

`compositor` (GstGL.GLOverlayCompositor) –
No description available

#### GstGL.GLOverlayCompositor.draw_overlays

    def GstGL.GLOverlayCompositor.draw_overlays (self):
        #python wrapper for 'gst_gl_overlay_compositor_draw_overlays'

Parameters:

`compositor` (GstGL.GLOverlayCompositor) –
No description available

#### gst_gl_overlay_compositor_free_overlays

    gst_gl_overlay_compositor_free_overlays (GstGLOverlayCompositor * compositor)

Parameters:

`compositor` –
No description available

#### GstGL.GLOverlayCompositor.prototype.free_overlays

    function GstGL.GLOverlayCompositor.prototype.free_overlays(): {
        // javascript wrapper for 'gst_gl_overlay_compositor_free_overlays'
    }

Parameters:

`compositor` (GstGL.GLOverlayCompositor) –
No description available

#### GstGL.GLOverlayCompositor.free_overlays

    def GstGL.GLOverlayCompositor.free_overlays (self):
        #python wrapper for 'gst_gl_overlay_compositor_free_overlays'

Parameters:

`compositor` (GstGL.GLOverlayCompositor) –
No description available

#### gst_gl_overlay_compositor_upload_overlays

    gst_gl_overlay_compositor_upload_overlays (GstGLOverlayCompositor * compositor,
                                               GstBuffer * buf)

Parameters:

`compositor` –
No description available
`buf` –
No description available

#### GstGL.GLOverlayCompositor.prototype.upload_overlays

    function GstGL.GLOverlayCompositor.prototype.upload_overlays(buf: Gst.Buffer): {
        // javascript wrapper for 'gst_gl_overlay_compositor_upload_overlays'
    }

Parameters:

`compositor` (GstGL.GLOverlayCompositor) –
No description available
`buf` (Gst.Buffer) –
No description available

#### GstGL.GLOverlayCompositor.upload_overlays

    def GstGL.GLOverlayCompositor.upload_overlays (self, buf):
        #python wrapper for 'gst_gl_overlay_compositor_upload_overlays'

Parameters:

`compositor` (GstGL.GLOverlayCompositor) –
No description available
`buf` (Gst.Buffer) –
No description available

### Functions

#### gst_gl_overlay_compositor_add_caps

    GstCaps *
    gst_gl_overlay_compositor_add_caps (GstCaps * caps)

Parameters:

`caps` –
No description available
Returns –
No description available

#### GstGL.GLOverlayCompositor.prototype.add_caps

    function GstGL.GLOverlayCompositor.prototype.add_caps(caps: Gst.Caps): {
        // javascript wrapper for 'gst_gl_overlay_compositor_add_caps'
    }

Parameters:

`caps` (Gst.Caps) –
No description available
Returns (Gst.Caps) –
No description available

#### GstGL.GLOverlayCompositor.add_caps

    def GstGL.GLOverlayCompositor.add_caps (caps):
        #python wrapper for 'gst_gl_overlay_compositor_add_caps'

Parameters:

`caps` (Gst.Caps) –
No description available
Returns (Gst.Caps) –
No description available

### Properties

#### yinvert

    “yinvert” gboolean

Flags : Read / Write

#### yinvert

    “yinvert” Number

Flags : Read / Write

#### yinvert

    “self.props.yinvert” bool

Flags : Read / Write

## Function Macros

### GST_GL_OVERLAY_COMPOSITOR_CAST

    #define GST_GL_OVERLAY_COMPOSITOR_CAST(obj) ((GstGLOverlayCompositor*)(obj))

The results of the search are